package jrummikub.view;

import jrummikub.util.IEvent;

/**
 * Panel shown during connection process and showing errors
 */
public interface IConnectPanel {

	/**
	 * Show connection process while error = null, error else
	 * 
	 * @param error
	 *            the error to allow specific error messages
	 */
	public void setMode(LoginError error);

	/**
	 * Is emitted when the user wants to abort connecting or has acknowledged
	 * the error
	 * 
	 * @return the event
	 */
	public IEvent getCancelEvent();

}
